| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IValidity Class Referenceabstract

Interface for objects with a validity. More...

`#include <GaudiKernel/IValidity.h>`

## Public Member Functions
virtual bool | isValid () const =0
| Check if the object is valid (it can be always invalid). More...
virtual bool | isValid (const Gaudi::Time &) const =0
| Check if the object is valid for the specified point in time. More...
virtual const Gaudi::Time & | validSince () const =0
| Returns the start of validity of the object. More...
virtual const Gaudi::Time & | validTill () const =0
| Returns the end of validity of the object. More...
virtual void | setValidity (const Gaudi::Time &, const Gaudi::Time &)=0
| Set the interval of validity of the object. More...
virtual void | setValiditySince (const Gaudi::Time &)=0
| Sets the start of validity of the object. More...
virtual void | setValidityTill (const Gaudi::Time &)=0
| Sets the end of validity of the object. More...
virtual | ~IValidity ()=default
| destructor More...

## Detailed Description

Interface for objects with a validity.

Definition at line 12 of file IValidity.h.

## Constructor & Destructor Documentation

virtual IValidity::~IValidity | ( |  | ) |
| virtual default

destructor

## Member Function Documentation

virtual bool IValidity::isValid | ( |  | ) | const
| pure virtual

Check if the object is valid (it can be always invalid).

virtual bool IValidity::isValid | ( | const Gaudi::Time & |  | ) | const
| pure virtual

Check if the object is valid for the specified point in time.

virtual void IValidity::setValidity | ( | const Gaudi::Time & | ,
|  | const Gaudi::Time & |
| ) |  |
| pure virtual

Set the interval of validity of the object.

virtual void IValidity::setValiditySince | ( | const Gaudi::Time & |  | ) |
| pure virtual

Sets the start of validity of the object.

virtual void IValidity::setValidityTill | ( | const Gaudi::Time & |  | ) |
| pure virtual

Sets the end of validity of the object.

virtual const Gaudi::Time& IValidity::validSince | ( |  | ) | const
| pure virtual

Returns the start of validity of the object.

virtual const Gaudi::Time& IValidity::validTill | ( |  | ) | const
| pure virtual

Returns the end of validity of the object.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IValidity.h